#!/usr/bin/env python
import RPi.GPIO as GPIO
from time import sleep

# Programming by Han Doornheim / Arnhem / The Netherlands - 20 nov 2020

#Tijdsduur pauze
kort=0.1
midden=1
lang=3

# Verbind GPIO 20 (pin 38) via een inverter met IO_1 van de DFPlayer
# Verbind GPIO 21 (pin 40) via een inverter met IO_2 van de DFPlayer
# Een inverter maakt van LAAG HOOG en andersom

def InlezenToetsen():
    "Inlezen besturingstoetsen"

    print ("1 = Play & Vooruit")
    print ("2 = Play & Achteruit")
    print ("--------------------")
    print ("3 = Beetje zachter")
    print ("4 = Beetje harder")
    print ("5 = Flink zachter")
    print ("6 = Flink harder")

    val = input("\nGeef je keuze: ")

    if (val==1):
	Vooruit()

    if (val==2):
	Achteruit()

    if (val==3):
	BeetjeZachter()

    if (val==4):
	BeetjeHarder()

    if (val==5):
	FlinkZachter()

    if (val==6):
	FlinkHarder()

def Vooruit():

    GPIO.setwarnings(False)
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(38, GPIO.OUT, initial=GPIO.LOW)

    GPIO.output(38, GPIO.HIGH)
    sleep(kort)
    GPIO.output(38, GPIO.LOW)

    main()

def Achteruit():

    GPIO.setwarnings(False)
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(40, GPIO.OUT, initial=GPIO.LOW)

    GPIO.output(40, GPIO.HIGH)
    sleep(kort)
    GPIO.output(40, GPIO.LOW)

    main()

def BeetjeZachter():

    GPIO.setwarnings(False)
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(38, GPIO.OUT, initial=GPIO.LOW)

    GPIO.output(38, GPIO.HIGH)
    sleep(midden)
    GPIO.output(38, GPIO.LOW)

    main()

def BeetjeHarder():

    GPIO.setwarnings(False)
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(40, GPIO.OUT, initial=GPIO.LOW)

    GPIO.output(40, GPIO.HIGH)
    sleep(midden)
    GPIO.output(40, GPIO.LOW)

    main()

def FlinkZachter():

    GPIO.setwarnings(False)
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(38, GPIO.OUT, initial=GPIO.LOW)

    GPIO.output(38, GPIO.HIGH)
    sleep(lang)
    GPIO.output(38, GPIO.LOW)

    main()

def FlinkHarder():

    GPIO.setwarnings(False)
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(40, GPIO.OUT, initial=GPIO.LOW)

    GPIO.output(40, GPIO.HIGH)
    sleep(lang)
    GPIO.output(40, GPIO.LOW)

    main()

def main():
    "Hoofdprogramma"

    print ("\033c") # wis scherm
    print ("Powered by Raspberry Pi\n")
    print ("\033[1;44m=======================")
    print (" Bediening DFPlayer v1 ")
    print ("=======================\033[1;m\n")

    InlezenToetsen()

main()
